Copy the video below to create a new build part blueprint.

Next open the blueprint and go to the view port then select the Mesh (Inherited) component. Then in the details you can set the static mesh, for this guide I will be using the plot pole mesh.

Next go to the BuildPartData data table you can find this in the Blueprints/BuildingBlueprints/BuildTypes folder. Then create a new row by clicking the button shown in the image below.

Newer engine versions
Older engine versions

Once you have the new row set the Row Name to the name of your new build part, for this guide I called mine NewBuildPart. And set the build parts settings, these will depend on your build part so you will have to pick these settings yourself. Make sure that you set the Type to Decoration.

Then set the Blueprint to the new build part blueprint you created earlier and set the mesh to the mesh of your build part. This is the mesh used for the building preview. You can also set the Resource Cost here as well.

Once done you can watch the video on the radial menu which will show you how to add your new build part to the building menu.

If your build part shows red when trying to place you can try moving the Mesh (Inherited) in the build part blueprint up a little bit in the viewport as you mesh may be colliding with the ground which will block the placement. You can also go to your mesh and in the mesh editor you can select the Collision Button then the select Simple Collision tick box. You can then select the green outline (This is the meshes collision) and move it around, I suggest moving it up a little bit so that it doesn’t overlap the ground when you are trying to place the build part.

There is also more info in the Adding New Build Parts video linked below.